﻿######################################################################################################
#This is the script for To Remove the AD attributes values#
######################################################################################################

param($Arg1)

#Please Enter the Admin Credential
$username = "domainName\AdministratorUserName"
$password = ConvertTo-SecureString -String "password" -AsPlainText -Force 

#Creating Credential Object
$cred = New-object -typename System.Management.Automation.PSCredential -argumentlist $username, $password

#Creating PSSession and Importing ADModule
$Session1 = New-PSSession -ComputerName domainFQDNName -Credential $cred #Replace domainFQDNName with ADComputerName Ex:admpqa2-dc1.admpqa2.com
Import-PSSession -Session $Session1 -AllowClobber -Module ActiveDirectory

#Removing ADAttribute
Set-ADUser -Identity $Arg1 -Clear extensionAttribute1,employeeID,title,department,company,manager,st,streetAddress,postOfficeBox,l,postalCode,co,c -Replace @{countryCode=0}

#Removing PSSession
Remove-PSSession -Session $Session1